<?php

namespace ModulesGarden\Servers\OpenXchange\App\Http\Client;

use ModulesGarden\Servers\OpenXchange\Core\Http\AbstractClientController;
use ModulesGarden\Servers\OpenXchange\Core\Helper;
use ModulesGarden\Servers\OpenXchange\Core\UI\Traits\WhmcsParams;

/**
 *
 * Created by PhpStorm.
 * User: Tomasz Bielecki ( tomasz.bi@modulesgarden.com )
 * Date: 10.09.19
 * Time: 10:13
 * Class Home
 */
class Home extends AbstractClientController
{
    use WhmcsParams;

    public function index()
    {
        if ($this->getWhmcsParamByKey('status') === 'Active')
        {
            return Helper\view()
                ->addElement(\ModulesGarden\Servers\OpenXchange\App\UI\Client\Home\Pages\ServiceInformation::class)
                ->addElement(\ModulesGarden\Servers\OpenXchange\App\UI\Client\Home\Pages\Dashboard::class)
                ;
        }
    }

}
